Subject: Re: GNUMAKE help...
From: [email-masked] (Michael Hirmke)

28 Jul 1998 09:07:19 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi John,

[...]
>has a lower case name... then the pattern rule triggers. I can't just
>rename them all to lower case because the rename command belives that
>filename and FILENAME are the same and refuses to do the deed.

Save this as "tolower":
------------------------< snip snip snip >-----------------------------
#!/usr/bin/bash

for s in $*
do
  [ "$s" = "`basename $0`" ] && continue
  l=$( echo $s | tr '[A-Z]' '[a-z]' )
  echo "mv ${s} ${l}"
  mv "${s}" "${l}.___" && mv "${l}.___" "${l}"
done
------------------------< snip snip snip >-----------------------------

>
>I would appreciate any hints.
>
>I have read all the doc, and some of the source (main.c/read.c/job.c)
>and can't find any references. I am running using MAKE_MODE=UNIX because
>I need the sh.exe facilities.
>
>Thanks for your time!!
>
>john

BYe.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".